////  button handlers  /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
document.getElementById("create-post-button").addEventListener("click", function () {
    submitForm("create-post-action")
})

document.getElementById("remove-record-button").addEventListener("click", function () {
    submitForm("remove-record-action")
})

document.getElementById("clear-table-button").addEventListener("click", function () {
    submitForm("clear-table-action")
})



function submitForm(action) {
    const form = document.getElementById('checkbox-form');
    const chosen_checkboxes = Array.from(document.querySelectorAll("input[type='checkbox']")).filter(checkbox => checkbox.checked);
    const actionField = form.querySelector("input[name='action']");
    const checkboxField = form.querySelector("input[name='checkbox-select-action']");

    if (chosen_checkboxes.length === 0 && action !== 'clear-table-action') {
        alert(Message.selectRecord);
        return;
    }
    const chosen_checkboxes_length = chosen_checkboxes.length - 2

    // todo добавить окончания в единственном числе (если выбрана одна запись)
    let confirm_message = '';
    if (action === 'create-post-action') {
        confirm_message = Message.createPost.replace("%d", chosen_checkboxes_length)
    } else if (action === 'remove-record-action') {
        confirm_message = Message.removeRecord.replace("%d", chosen_checkboxes_length)
    } else {
        confirm_message = Message.clearTable;
    }

    if (confirm(confirm_message)) {
        actionField.value = action;
        checkboxField.value = JSON.stringify(Array.from(chosen_checkboxes).filter(checkbox => checkbox.checked).map(checkbox => checkbox.value));
        form.submit();
    }
}

////  Effects  /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

// todo добавить мерцание для кнопки Обновить при загрузке на странице с таблицей Ai2Media
function toggle_blinking(buttonId) {
    const button = document.getElementById(buttonId);
    const className = "blinking";

    if (button.classList.contains(className))
        button.classList.remove(className)
    else
        button.classList.add(className)
}
